﻿@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
}
@section Scripts{
    <script src="/Ngochau/table-treegrid/js/jquery.treegrid.js"></script>
    <script src="/controller/permission/permission.js" asp-append-version="true"></script>
}
    @section Styles{
    <link href="/Ngochau/table-treegrid/css/jquery.treegrid.css" rel="stylesheet" type="text/css" />
}
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">HAT Soft</a></li>
                            <li class="breadcrumb-item active">Thêm mới</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Cập nhật quyền chức năng</h4>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <a onclick="Save()" class="btn btn-success"><i class="uil-plus-circle"></i>&nbsp; Lưu</a>
                        <a onclick="Close()" class="btn btn-outline-secondary"><i class="mdi mdi-window-close"></i>&nbsp; Đóng</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">

                        <h4 class="header-title">Danh sách quyền</h4>
                        <p class="text-muted font-14">
                            Chọn quyền phù hợp với chức năng trong vai trò
                        </p>

                        <form>
                            <div class="table-responsive mt-4">
                                <table id="tblFunction" class="table table-bordered tree table-centered mb-0">
                                    <thead class="table-light">
                                        <tr>
                                            <th style="text-align:center">
                                                <input type="checkbox" class="form-check-input" id="chkParentRole">
                                            </th>
                                            <th>Mã chức năng</th>
                                            <th>Tên chức năng</th>
                                            <th style="text-align:center">
                                                <input type="checkbox" class="form-check-input" id="chkParentView">
                                                <label class="form-check-label" for="chkParentView">View</label>
                                            </th>
                                            <th style="text-align:center">
                                                <input type="checkbox" class="form-check-input" id="chkParentCreate">
                                                <label class="form-check-label" for="chkParentCreate">Create</label>
                                            </th>
                                            <th style="text-align:center">
                                                <input type="checkbox" class="form-check-input" id="chkParentUpdate">
                                                <label class="form-check-label" for="chkParentUpdate">Update</label>
                                            </th>
                                            <th style="text-align:center">
                                                <input type="checkbox" class="form-check-input" id="chkParentDelete">
                                                <label class="form-check-label" for="chkParentDelete">Delete</label>
                                            </th>
                                            <th style="text-align:center">
                                                Trạng thái
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody id="lst-data-function"></tbody>
                                </table>
                            </div>
                        </form>

                    </div> <!-- end card-body -->
                </div> <!-- end card -->
            </div> <!-- end col -->

        </div>
    </div>
    <script id="result-data-function-with-role" type="x-tmpl-mustache">
        <tr class="treegrid-{{Id}} {{treegridparent}}" data-id="{{Id}}">
            <td style="text-align:center"></td>
            <td>{{Code}}</td>
            <td>{{Name}}</td>
            <td style="text-align:center">
                <input type="checkbox" class="form-check-input chkView" value={{Id}}>
            </td>
           <td style="text-align:center">
                <input type="checkbox" class="form-check-input chkAdd" value={{Id}}>
            </td>
            <td style="text-align:center">
                <input type="checkbox" class="form-check-input chkEdit" value={{Id}}>
            </td>
            <td style="text-align:center">
                <input type="checkbox" class="form-check-input chkDelete" value={{Id}}>
            </td>
            <td style="text-align:center">{{{Status}}}</td>
        </tr>
    </script>







